import sys
import time
import zsirpc

service = zsirpc.RemoteService("http://localhost:8000")

print service.returnTrue()
print service.returnFalse()
print service.returnZero()
print service.returnOne()
print service.returnNone()
print service.returnArrayNone()
print service.returnDictNone()
print service.returnComplexNone()

print service.echoSingle(None)
print service.echoSingle([None])
print service.echoSingle({"a":None,"b":[None,{"c":None, \
 "d":[None,{"a":None,"b":[None,{"c":None}]}]}]})
print service.echoSingle([None,{"a":None,"b":[None,{"c":None, \
 "d":[None,{"a":None,"b":[None,{"c":None}]}]}]}])

print service.echo(None)
print service.echo([None])
print service.echo({"a":None,"b":[None,{"c":None,"d":[None, \
 {"a":None,"b":[None,{"c":None}]}]}]})
print service.echo([None,{"a":None,"b":[None,{"c":None,"d":[None, \
 {"a":None,"b":[None,{"c":None}]}]}]}])

print service.returnArray1()
print service.returnArray2()
print service.returnDict1()
print service.returnDict2()

print service.echoSingle(zsirpc.Boolean(0))
print service.echoSingle(zsirpc.Boolean(1))

print service.echoSingle(zsirpc.Binary("1234"))

print service.echoSingle(zsirpc.Duration("P7Y6M5DT4H3M2.1S"))
print service.echoSingle(zsirpc.Duration("P7Y6M5DT4H3M"))
print service.echoSingle(zsirpc.Duration("P7Y6M5DT4H"))
print service.echoSingle(zsirpc.Duration("P7Y6M5D"))
print service.echoSingle(zsirpc.Duration("P7Y6M"))
print service.echoSingle(zsirpc.Duration("P7Y"))
print service.echoSingle(zsirpc.Duration("PT4H3M2.1S"))

print service.echoSingle(zsirpc.Date())
print service.echoSingle(zsirpc.Time())
print service.echoSingle(zsirpc.DateTime())

now = time.gmtime(time.time())
print service.echoSingle(zsirpc.Date(now))
print service.echoSingle(zsirpc.Time(now))
print service.echoSingle(zsirpc.DateTime(now))
